- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QAccessibleObjectEx Class Reference

Search for all occurrences

## Detailed Description

Definition at line 84 of file qaccessibleobject.h.

`#include <qaccessibleobject.h>`

Inheritance diagram for QAccessibleObjectEx:
[legend]

List of all members.

## Public Member Functions
| QAccessibleObjectEx (QObject *object)
bool | isValid () const
QObject * | object () const
QRect | rect (int child) const
void | setText (Text t, int child, const QString &text)
int | userActionCount (int child) const
bool | doAction (int action, int child, const QVariantList &params)
QString | actionText (int action, Text t, int child) const
## Protected Member Functions
virtual | ~QAccessibleObjectEx ()

## Constructor & Destructor Documentation

QAccessibleObjectEx | ( | QObject * | object | ) | `[explicit]`

virtual ~QAccessibleObjectEx | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

bool isValid | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

QObject* object | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

QRect rect | ( | int | child | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

Reimplemented in QAccessibleWidgetEx.

void setText | ( | Text | t,
|  | int | child,
|  | const QString & | text
| ) |  | `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

int userActionCount | ( | int | child | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

bool doAction | ( | int | action,
|  | int | child,
|  | const QVariantList & | params
| ) |  | `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

Reimplemented in QAccessibleWidgetEx.

QString actionText | ( | int | action,
|  | Text | t,
|  | int | child
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

Reimplemented in QAccessibleWidgetEx.

The documentation for this class was generated from the following file:

- QtGui/qaccessibleobject.h

QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx
QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx QAccessibleObjectEx